"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  csvToJson: () => csvToJson
});
module.exports = __toCommonJS(src_exports);
var import_fs = require("fs");
var path = __toESM(require("path"));
async function csvToJson(csvFilePath, separator = ",") {
  try {
    const extname2 = path.extname(csvFilePath).toLowerCase();
    if (extname2 !== ".csv") {
      throw new Error("Please provide a CSV file.");
    }
    const csvData = await import_fs.promises.readFile(csvFilePath, "utf-8");
    if (!csvData) {
      throw new Error("CSV is empty.");
    }
    const lines = csvData.split("\n");
    const headers = lines[0].trim().split(separator).map((header) => header.trim());
    const jsonData = [];
    for (let i = 1; i < lines.length; i++) {
      if (lines[i].trim() === "") {
        continue;
      }
      const data = lines[i].trim().split(separator);
      const obj = {};
      for (let j = 0; j < headers.length; j++) {
        obj[headers[j]] = data[j] ? data[j].trim() : "";
      }
      jsonData.push(obj);
    }
    return jsonData;
  } catch (error) {
    console.error("// Error occurred while processing the file:", error);
    return [];
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  csvToJson
});
