// src/index.ts
import { promises as fs } from "fs";
import * as path from "path";
async function csvToJson(csvFilePath, separator = ",") {
  try {
    const extname2 = path.extname(csvFilePath).toLowerCase();
    if (extname2 !== ".csv") {
      throw new Error("Please provide a CSV file.");
    }
    const csvData = await fs.readFile(csvFilePath, "utf-8");
    if (!csvData) {
      throw new Error("CSV is empty.");
    }
    const lines = csvData.split("\n");
    const headers = lines[0].trim().split(separator).map((header) => header.trim());
    const jsonData = [];
    for (let i = 1; i < lines.length; i++) {
      if (lines[i].trim() === "") {
        continue;
      }
      const data = lines[i].trim().split(separator);
      const obj = {};
      for (let j = 0; j < headers.length; j++) {
        obj[headers[j]] = data[j] ? data[j].trim() : "";
      }
      jsonData.push(obj);
    }
    return jsonData;
  } catch (error) {
    console.error("// Error occurred while processing the file:", error);
    return [];
  }
}
export {
  csvToJson
};
